<script>
  import { createEventDispatcher } from 'svelte';
  import { Button, Icon } from 'svelte-materialify';
  import TextField from 'svelte-materialify/src/components/TextField';

  const dispatch = createEventDispatcher();
  let value = '';

  const submit = () => {
    if (!value.trim()) return;
    dispatch('submit', value);
    value = '';
  };

  const handleKeypress = ({ code }) => {
    if (code === 'Enter') {
      submit();
    }
  };
</script>

<TextField filled solo placeholder="Todo" bind:value={value} on:keypress={handleKeypress}>
  <span slot="append">
    <Button icon class="ma-0" on:click={submit}>
      <Icon class="mdi mdi-plus-thick" />
    </Button>
  </span>
</TextField>
